package com.tourism.webadmin.back.util;

import com.alibaba.fastjson.JSON;
import com.volcengine.model.request.SmsSendRequest;
import com.volcengine.model.response.SmsSendResponse;
import com.volcengine.service.sms.SmsService;
import com.volcengine.service.sms.SmsServiceInfoConfig;
import com.volcengine.service.sms.impl.SmsServiceImpl;

import java.util.HashMap;
import java.util.Map;

public class SMSUtils {
    private static final String AK = "AKLTYzA3ZDNiY2M5MWNlNGM1NThhM2ZlN2JhNTIyYWMxZDA";

    private static final String SK = "WXpVME1USTBNbVprTnpKaU5HTTNORGhsT1dJNU1tUXlaVFl4TjJVeE1Uaw==";

    private static SmsService smsService = SmsServiceImpl.getInstance(new SmsServiceInfoConfig(AK, SK));

    public static void sendMsg(String countryCode, String phoneNumber, String code){
        SmsSendRequest req = new SmsSendRequest();
        req.setPhoneNumbers(countryCode.replaceAll("\\+", "") + phoneNumber);
        if(countryCode.equals("86")){
            req.setSmsAccount("7fe76339");
            req.setTemplateId("ST_7ff7032d");
            req.setSign("逍遥游");
        }else {
            req.setSmsAccount("7fe76339");
            req.setTemplateId("ST_7fe70c7c");
            req.setSign("XYTravel");
        }

        Map<String,String> param = new HashMap<>();
        param.put("code", code);
        req.setTemplateParamByMap(param);

        try {
            SmsSendResponse response = smsService.sendV2(req);
            System.out.println(JSON.toJSONString(response));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
